/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               CRAPCOD.C
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      Voorbeeldregeling KIEZEN MAXIMUMGROENTIJDEN
 *
 * datum:                   27 januari 1994
 * gewijzigd:               14 maart 2003 
 *                          - aanpassing aan Flash
 *                          - kiezen MG_TIJD'en op basis van twee spitsklokken en twee
 *                          - extra klokken met bijbehorende dagkeuze
 *                          12 januari 2004
 *                          - aanpassing aan versie 1.07.14 (gebruik EGGPARM ipv EPARM)
 * versie:                  4.1
 */

#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"
#include "kiezen_m.inc" /* kiezen maximumgroentijden, wsra-standaard 1, versie 4.1 */

#ifdef pc_omgeving
#include "crfutils.h"   /* tbv printxy-commando's in Flash */
#endif

void init_bij_inschakelen(void) { }

void voorwaarden_per_seconde(void) 
{
 if (D(SG99_1)) { kies_MG_TIJD6(); maak_TL(TL_MG_SET,6); } /* vrij te kiezen MG_set */
 else kiezen_MG_TIJDEN(K_OCHTEND, K_AVOND,
                       K_KOOPAVOND_E1, EG_KOOPAVONDDAG_E1, 
                       K_EXTRA_2, EG_DAG_EXTRA_2, TL_MG_SET);

 /* Aansturing led's politiepaneel */
 if (TL(TL_MG_SET)==1) plaats_in_INT (eerste_plaats_positie  ,1); /* DAL            */
 else                  plaats_in_INT (eerste_plaats_positie  ,0);
 if (TL(TL_MG_SET)==2) plaats_in_INT (eerste_plaats_positie+1,1); /* OCHTEND        */
 else                  plaats_in_INT (eerste_plaats_positie+1,0);
 if (TL(TL_MG_SET)==3) plaats_in_INT (eerste_plaats_positie+2,1); /* AVOND          */
 else                  plaats_in_INT (eerste_plaats_positie+2,0);
 if (TL(TL_MG_SET)==4) plaats_in_INT (eerste_plaats_positie+3,1); /* KOOPAVOND (e1) */
 else                  plaats_in_INT (eerste_plaats_positie+3,0);
 if (TL(TL_MG_SET)==5) plaats_in_INT (eerste_plaats_positie+4,1); /* EXTRA_2        */
 else                  plaats_in_INT (eerste_plaats_positie+4,0);
 if (TL(TL_MG_SET)==6) plaats_in_INT (eerste_plaats_positie+5,1); /* TEST           */
                       plaats_in_INT (eerste_plaats_positie+5,0);

 #ifdef pc_omgeving
 /* Zichtbaar maken actieve set maximumgroentijden in Flash */
 printxy ( 0, 0, "actieve set MG_tijden: %3d",TL(TL_MG_SET));
 if (TL(TL_MG_SET) == 1)  printxy ( 0, 1, "DAL         "); 
 if (TL(TL_MG_SET) == 2)  printxy ( 0, 1, "OCHTEND     "); 
 if (TL(TL_MG_SET) == 3)  printxy ( 0, 1, "AVOND       "); 
 if (TL(TL_MG_SET) == 4)  printxy ( 0, 1, "KOOPAVOND_E1"); 
 if (TL(TL_MG_SET) == 5)  printxy ( 0, 1, "EXTRA_2     "); 
 if (TL(TL_MG_SET) == 6)  printxy ( 0, 1, "TEST        "); 
 #endif
}

void overige_voorwaarden(void) {}